CREATE TABLE #column(columnCounter int, objectId int, schemaName nvarchar(50), tableName nvarchar(50), columnName nvarchar(50))
DECLARE @counter int
SET @counter = 1
DECLARE @columnsCount int
DECLARE @sqlCommand NVARCHAR(1000)

DECLARE @newEmailValue NVARCHAR(50)
SET @newEmailValue = 'test@test.com'

INSERT INTO #column(columnCounter, objectId, schemaName, tableName, columnName)
SELECT ROW_NUMBER() OVER(ORDER BY C.name), O.object_id, S.NAME, O.name, C.name 
FROM   sys.columns C 
	INNER JOIN sys.types T ON C.SYSTEM_TYPE_ID = T.SYSTEM_TYPE_ID 
	INNER JOIN sys.objects O ON C.object_id = O.object_id
	INNER JOIN sys.schemas S ON O.schema_id = S.schema_id
WHERE T.Name IN ('char','nchar','nvarchar','varchar','text','ntext') AND O.type = 'u'
	AND  (C.name  LIKE('%MAIL'))

SET @columnsCount = (SELECT COUNT(columnName) from #column)

WHILE @counter <= @columnsCount
BEGIN
	DECLARE @currentTableName NVARCHAR(100)
	DECLARE @currentColumnName NVARCHAR(100)
	SET @currentTableName = (SELECT tableName FROM #column WHERE columnCounter = @counter)
	SET @currentColumnName = (SELECT columnName FROM #column WHERE columnCounter = @counter)

	SET @sqlCommand = 'UPDATE ' + @currentTableName + ' SET ' + @currentColumnName + ' = ' + '''' + @newEmailValue + ''''
	EXEC(@sqlCommand)
	print @sqlcommand
	PRINT Convert(varchar(10), @@ROWCOUNT ) + ' row(s) affected in ' + @currentTableName + '.' + @currentColumnName
    SET @counter = @counter + 1	
END

DROP TABLE #column